<template>
  <!-- Input container -->
  <div :class="`_select-container ${fluid ? 'w-full' : ''}`">
    <!-- Slot: label -->
    <slot name="label">
      <div
        v-if="label.length > 0"
        :class="`mb-2 ${labelClass}`"
      >
        <label :for="name">{{ label }}</label>
        <span v-if="required"> *</span>
      </div>
    </slot>
    <t-datepicker
      class="w-full"
      placeholder="sélectionner une date"
      :variant="variant"
    />
  </div>
</template>

<script>
import BaseInput from './BaseInput'
/**
 * InputFile component
 */
export default {
  name: 'InputDatePicker',
  extends: BaseInput
}
</script>
